EDIT - bug #9423

Improve language handling for TermType.getMessage() and others
01/25/2021 06:00 PM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: critical Found in Version:

Description

TermType.getMessage() is often used when creating menus but also in other context. It internally calls
TermType.getMessage(Language) which requires loading of the default language term. For some reason this seems to be done
always with a server call which is very expensive and slows down menu (and others) loading a lot. The reason for the WS call is
probably that the menu is not session related and therefore no caching is used as permanent/term cache still requires a session
context in taxeditor.

In a first step we could try to use permanent cache also outside session context.

Another step would be to use locales instead of CDM Language as TermType.getMessage(Language) is only used for Ul language
which will always be en, de or may es or other very popular Locale. So no reason to use CDM Language here.

But even in CDM which could use Locale at mucht more places, e.g. for representations and multi-language texts. Only for
CommonTaxonName it seems to be a real requirement as CommonTaxonName sometimes uses very exceptional CommonNames
which do not have a locale yet as they are even not in the ISO for the known >7000 langauges.

Related issues:
Related to EDIT - bug #9422: Improve performance during Preferences startup Closed

History

#1 - 01/25/2021 06:00 PM - Andreas Miiller
- Priority changed from New to Highest

#2 - 01/26/2021 08:31 AM - Andreas Miiller

- Related to bug #9422: Improve performance during Preferences startup added

#3 - 03/10/2021 02:49 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#4 - 04/19/2021 04:53 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.45
